<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:ubl="ubl" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<body>
				<p>Inheritance Selection: <xsl:value-of select="/ubl:Order/Header/Address/Street/text()"/>
				</p>
				<p>Extension Selection: <xsl:value-of select="/ubl:Order/Header/Address/POBox/text()"/>
				</p>
				<p>Polymorphic Selection:  <xsl:value-of select="/ubl:Order/Header/Address/*"/>
				</p>
				<p>Tunneling Reuse Selection: <xsl:value-of select="/ubl:Order/Header/Address/CountryCode/Code/text()"/>
				</p>
				<p>Global Polymorphic Selection: <xsl:value-of select="//Address"/>
				</p>
				<p>Global Extension Selection: <xsl:value-of select="//POBox"/>
				</p>
				<p>Selection on Type (ubl:AddressImpl): <xsl:value-of select="//*[@xsi:type='ubl:AddressImpl']"/>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
